<wo:form>
  <wo:AjaxUpdateContainer id = "$tableViewContainerId">
    <center>
      <wo:CktlAjaxSimpleTableView id = "$tableViewId" displayGroup = "$displayGroup" item = "$currentItem" paginatorHasForm = "false" 
         updateContainerID = "$buttonsContainerId" triMultiColonneEnabled = "$true" updateToolbarOnSelect = "$true" showToolbar = "$true" 
         showFilters = "$true" useFixedHeader = "false">
        <wo:CktlAjaxSimpleTableViewHeader>
          <wo:CktlAjaxSimpleTableViewColumn sortKeypath = "toEnseignantGenerique.nom" label = "Nom" />
          <wo:CktlAjaxSimpleTableViewColumn sortKeypath = "toEnseignantGenerique.prenom" label = "Prénom" />
          <wo:if condition = "$isTypeStatutaire">
            <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.Enseignants.Colonne.Composante" />
            <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.Enseignants.Colonne.Departement" />
            <wo:CktlAjaxSimpleTableViewColumn label = "Service dû" width = "120px" />
            <wo:CktlAjaxSimpleTableViewColumn label = "Heures présentielles prévues" width = "140px" />
          </wo:if>
          <wo:else> 
            <wo:CktlAjaxSimpleTableViewColumn label = "Heures du contrat" width = "140px" />
          	<wo:CktlAjaxSimpleTableViewColumn label = "Heures attribuées HETD" width = "140px" />
          </wo:else>          
          <wo:CktlAjaxSimpleTableViewColumn label = "Delta" width = "120px" />
        </wo:CktlAjaxSimpleTableViewHeader>
        <wo:CktlAjaxSimpleTableViewFilters>
          <th><wo:CktlAjaxFilterTextField value = "$tokenNom" action = "$filtrer" updateContainerID = "$tableViewContainerId" 
               timeout = "$application.ajaxCktlFilterTimeout" /></th>
          <th><wo:CktlAjaxFilterTextField value = "$tokenPrenom" action = "$filtrer" updateContainerID = "$tableViewContainerId" 
              timeout = "$application.ajaxCktlFilterTimeout" /></th>
          <wo:if condition = "$isTypeStatutaire">
            <th />
            <th />
          </wo:if>
          <th />
          <th />
          <th />
        </wo:CktlAjaxSimpleTableViewFilters>
        <wo:CktlAjaxSimpleTableViewBody>
          <td align = "left">
            <wo:hyperlink action = "$getLinkToFicheEnseignant" ><wo:string value = "$currentItem.toEnseignantGenerique.nom.toUpperCase" />
            <wo:if condition = "$vientDeGrhum">
              (persID: <wo:string value = "$currentItem.toEnseignantGenerique.persID" />)
            </wo:if></wo:hyperlink>
          </td>
          <td align = "left"><wo:hyperlink action = "$getLinkToFicheEnseignant" ><wo:string value = "$currentItem.toEnseignantGenerique.prenom" /></wo:hyperlink></td>
          <wo:if condition = "$isTypeStatutaire">
            <td class = "left"><wo:string value = "$libelleComposante" /></td>
            <td class = "left"><wo:string value = "$libelleDepartement" /></td>
          </wo:if>
          <td class = "cktl-right-align"><wo:CktlNumber value = "$currentItem.toEnseignantGenerique.heuresPrevues" /></td>
          <td class = "cktl-right-align"><wo:CktlNumber value = "$serviceAttribue" /></td>
          <td class = "peche-colored-number"><wo:CktlNumber value = "$delta" /></td>
        </wo:CktlAjaxSimpleTableViewBody>
      </wo:CktlAjaxSimpleTableView>
    </center>
    <br />
  </wo:AjaxUpdateContainer>
</wo:form>
<wo:AjaxUpdateContainer id = "$buttonsContainerId">
  <wo:form>
    <!-- Delete and Edit Buttons -->
    <wo:conditional condition = "$autorisation.hasDroitUtilisationParametrageEnseignantsGeneriques">
      <wo:CktlSubmitButton type = "add" action = "$ajouterAction" text = "$session.localizer.application.boutonAjouter" />
      <wo:CktlSubmitButton type = "edit" action = "$modifierAction" text = "$session.localizer.application.boutonModifier" disabled = "$isEnseignantGeneriqueSelected" />
      <wo:CktlAjaxButton type = "delete" action = "$deleteAction" text = "$session.localizer.application.boutonSupprimer" 
        updateContainerID = "$tableViewContainerId" onClickBefore = "$onClickBefore" disabled = "$isEnseignantGeneriqueSelected" />
      <wo:CktlSubmitButton type = "edit" action = "$ouvrirFicheService" text = "$session.localizer.application.boutonFicheService" disabled = "$isEnseignantGeneriqueSelected" />
      <wo:CktlSubmitButton type = "edit" action = "$rapprocherEnseignantGenerique" text = "Rapprocher" disabled =  "$isEnseignantGeneriqueSelected" />
    </wo:conditional>
  </wo:form>
</wo:AjaxUpdateContainer>